QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Supplier
    v1.0.0

    Create a new supplier

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    userIdstringpathYesQIMA client user login ID.

    Request Body

    Content-Type: application/json

    FieldTypeRequiredDescription
    idstringNo
    QIMA supplier id
    entityNamestringYes
    Supplier name
    chineseNamestringNo
    Supplier name in local language
    continentstringNo
    Supplier continent id, get it from /parameter/v2/continents
    countrystringYes
    Supplier country id, get it from /parameter/v2/searchCountries, /parameter/v2/countries or /parameter/v2/continent/{continentId}/countries
    provincestringNo
    Supplier province id, get it from /parameter/v2/country/{countryId}/provinces
    citystringYes
    Supplier city id, get it from /parameter/v2/country/{countryId}/searchCities, /parameter/v2/province/{provinceId}/searchCities or /parameter/v2/country/{countryId}/cities
    districtstringNo
    Supplier district id, if applicable. `null` when not provided.
    districtNamestringNo
    Supplier district name, if applicable. `null` when not provided.
    addressstringYes
    Supplier's address
    postcodestringNo
    nearestOfficestringNo
    Nearest QIMA office name
    websitestringNo
    salesTurnoverstringNo
    noOfEmployeesstringNo
    Supplier's employee count
    userIdstringNo
    typestringNo
    businessLicenseNostringNo
    titlestringNo
    addressCnstringNo
    Supplier's address in local language
    identificationCodestringNo
    Supplier's identifier code in client's system, can be used to link suppliers between QIMA's system and QIMA client's system
    cityNamestringNo
    Supplier's city name
    countryNamestringNo
    Supplier's country name
    mainProductLinesarrayYes
    Supplier's product lines, get product line from /parameter/v2/product-families API
    contactInfoobjectYes
    contactInfo.mainobjectYes
    contactInfo.main.namestringYes
    Contact's first name plus given name
    contactInfo.main.departmentstringNo
    contactInfo.main.titlestringNo
    Contact's working position name
    contactInfo.main.phonestringYes
    Contact's phone number
    contactInfo.main.mobilestringNo
    Contact's mobile phone number
    contactInfo.main.emailstringYes
    Contact's email(s), separate by semi-colon when multiple
    contactInfo.alternateobjectNo
    accessMapsarrayNo
    accessMaps[].idstringNo
    accessMaps[].docTypestringNo
    accessMaps[].fileNamestringNo
    accessMaps[].fileSizeintegerNo
    accessMaps[].urlstringNo
    qualityDocsarrayNo
    createBystringNo
    updateBystringNo
    Responses

    200
    New suppliers created successful

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    idstringQIMA supplier id
    entityNamestringSupplier name
    chineseNamestringSupplier name in local language
    continentstringSupplier continent id, get it from /parameter/v2/continents
    countrystringSupplier country id, get it from /parameter/v2/searchCountries, /parameter/v2/countries or /parameter/v2/continent/{continentId}/countries
    provincestringSupplier province id, get it from /parameter/v2/country/{countryId}/provinces
    citystringSupplier city id, get it from /parameter/v2/country/{countryId}/searchCities, /parameter/v2/province/{provinceId}/searchCities or /parameter/v2/country/{countryId}/cities
    districtstringSupplier district id, if applicable. `null` when not provided.
    districtNamestringSupplier district name, if applicable. `null` when not provided.
    addressstringSupplier's address
    postcodestring
    nearestOfficestringNearest QIMA office name
    websitestring
    salesTurnoverstring
    noOfEmployeesstringSupplier's employee count
    userIdstring
    typestring
    businessLicenseNostring
    titlestring
    addressCnstringSupplier's address in local language
    identificationCodestringSupplier's identifier code in client's system, can be used to link suppliers between QIMA's system and QIMA client's system
    cityNamestringSupplier's city name
    countryNamestringSupplier's country name
    mainProductLinesarraySupplier's product lines, get product line from /parameter/v2/product-families API
    contactInfoobject
    contactInfo.mainobject
    contactInfo.main.namestringContact's first name plus given name
    contactInfo.main.departmentstring
    contactInfo.main.titlestringContact's working position name
    contactInfo.main.phonestringContact's phone number
    contactInfo.main.mobilestringContact's mobile phone number
    contactInfo.main.emailstringContact's email(s), separate by semi-colon when multiple
    contactInfo.alternateobject
    accessMapsarray
    accessMaps[].idstring
    accessMaps[].docTypestring
    accessMaps[].fileNamestring
    accessMaps[].fileSizeinteger
    accessMaps[].urlstring
    qualityDocsarray
    createBystring
    updateBystring
    {
      "message": null,
      "content": {
        "id": "A7B918B5222D4B0F98061168865EAF17",
        "entityName": "Sample Supplier Co.",
        "continent": "24865671",
        "country": "23424781",
        "province": "12578016",
        "city": "12687656",
        "district": null,
        "address": "NO.1, A ROAD, B STREET, C DISTRICT",
        "userId": "4C6E94072DFC4918B60752F701DE544A",
        "type": "SUPPLIER",
        "identificationCode": "CLIENT-SUP-002",
        "cityName": "Shenzhen",
        "countryName": "China",
        "mainProductLines": [
          "bigCat1_s2",
          "bigCat1_s3"
        ],
        "contactInfo": {
          "main": {
            "name": "Jane Doe",
            "phone": "+86 0755 81112222",
            "email": "main.contact@example.com;alternate.contact@example.com"
          }
        },
        "accessMaps": [],
        "qualityDocs": []
      }
    }

    Content-Type: application/json

    {
      "message": "The supplier with the same name or identification code already exists",
      "content": null
    }

    Content-Type: application/json

    POST
    /user/v2/{userId}/supplier
    Request samples

    application/json

    { "id": "B8B447FD4CD948BEAC1960DF7253BD90", "entityName": "Supplier ABC", "chineseName": "富士康", "continent": "24865671", "country": "23424781", "province": "12578016", "city": "12687254", "district": "string", "districtName": "string", "address": "NO.1, A ROAD, B STREET, C DISTRICT", "postcode": "string", "nearestOffice": "Shenzhen office", "website": "string", "salesTurnover": "string", "noOfEmployees": "10", "userId": "string", "type": "string", "businessLicenseNo": "string", "title": "string", "addressCn": "string", "identificationCode": "string", "cityName": "Shenzhen", "countryName": "China", "mainProductLines": [ "bigCat1_s2", "bigCat1_s3" ], "contactInfo": { "main": { "name": "Jane Doe", "department": "string", "title": "Quality Manager", "phone": "+86 0755 81112222", "mobile": "+86 13811112222", "email": "main.contact@example.com;alternate.contact@example.com" }, "alternate": {} }, "accessMaps": [ { "id": "string", "docType": "string", "fileName": "string", "fileSize": 1, "url": "string" } ], "qualityDocs": [ {} ], "createBy": "string", "updateBy": "string" }

    Response samples

    application/json

    { "message": null, "content": { "id": "A7B918B5222D4B0F98061168865EAF17", "entityName": "Sample Supplier Co.", "continent": "24865671", "country": "23424781", "province": "12578016", "city": "12687656", "district": null, "address": "NO.1, A ROAD, B STREET, C DISTRICT", "userId": "4C6E94072DFC4918B60752F701DE544A", "type": "SUPPLIER", "identificationCode": "CLIENT-SUP-002", "cityName": "Shenzhen", "countryName": "China", "mainProductLines": [ "bigCat1_s2", "bigCat1_s3" ], "contactInfo": { "main": { "name": "Jane Doe", "phone": "+86 0755 81112222", "email": "main.contact@example.com;alternate.contact@example.com" } }, "accessMaps": [], "qualityDocs": [] } }